Skip to content
GET /unified/ci-cd/branches/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace_id
1 supported1 required
Bitbucket
required
repostring

The repository of the branch

5 supported2 required
Bitbucket
required
Buddy
required
GitHub
supported
GitLab
supported
Travis CI
supported
workspace
1 supported1 required
Buddy
required
owner

The slug of the owner on Github.

1 supported1 required
GitHub
required
repo_idstring
2 supported2 required2 notes
GitHub
required

The slug of the repository on Github.

GitLab
required

The unique identifier for the repository

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
namestring
required·

Name of the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
created_atstring · date-time

The date and time when the branch was created

2 supported
Buddy
supported
Travis CI
supported
last_commitstring

The last commit of the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
last_commit_atstring · date-time

The date and time when the last commit was made

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
last_commit_bystring

The last commit author of the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
last_commit_messagestring

The last commit message of the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

repostring

The repository of the branch

5 supported
Bitbucket
supported
Buddy
supported
GitHub
supported
GitLab
supported
Travis CI
supported
updated_atstring · date-time

The date and time when the branch was last updated

1 supported
Buddy
supported
curl -X GET 'https://api.truto.one/unified/ci-cd/branches/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/branches/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ci-cd/branches/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ci-cd',
  'branches',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ci-cd",
        "branches",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())